/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.handlers;

import org.apache.log4j.Logger;
import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.FileDialog;

import eu.etaxonomy.taxeditor.controller.GlobalController;

/**
 * @author p.ciardelli
 * @created 20.03.2009
 * @version 1.0
 */
public class ImportHandler extends AbstractHandler implements IHandler  {
	private static Logger logger = Logger.getLogger(ImportHandler.class);

	/* (non-Javadoc)
	 * @see org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.ExecutionEvent)
	 */
	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		
		FileDialog dialog = new FileDialog(GlobalController.getShell());
		String filePath = dialog.open();
		
		if (filePath != null) {
			MessageDialog.openInformation(GlobalController.getShell(), 
					"Not yet implemented", "CDM datasource import not yet implemented.");
		}
		
		return null;
	}
}
